=== modified file 'drizzled/cursor.h'
--- drizzled/cursor.h	2010-04-23 00:20:04 +0000
+++ drizzled/cursor.h	2010-04-23 00:39:59 +0000
@@ -138,10 +138,6 @@
   present, its length is one byte <not-sure> which must be set to 0xFF
   at all times. </not-sure>
 
-  If the table has columns of type BIT, then certain bits from those columns
-  may be stored in null_bytes as well. Grep around for Field_bit for
-  details.
-
   For blob columns (see Field_blob), the record buffer stores length of the
   data, following by memory pointer to the blob data. The pointer is owned
   by the storage engine and is valid until the next operation.
@@ -489,16 +485,6 @@
   { return 0; }
   virtual uint32_t referenced_by_foreign_key() { return 0;}
   virtual void free_foreign_key_create_info(char *) {}
-  /** The following can be called without an open Cursor */
-
-  virtual int add_index(Table *, KEY *, uint32_t)
-  { return (HA_ERR_WRONG_COMMAND); }
-  virtual int prepare_drop_index(Table *, uint32_t *, uint32_t)
-  { return (HA_ERR_WRONG_COMMAND); }
-  virtual int final_drop_index(Table *)
-  { return (HA_ERR_WRONG_COMMAND); }
-
-  virtual uint32_t checksum(void) const { return 0; }
 
   /**
     Is not invoked for non-transactional temporary tables.

=== modified file 'plugin/innobase/handler/ha_innodb.h'
--- plugin/innobase/handler/ha_innodb.h	2010-04-21 02:28:11 +0000
+++ plugin/innobase/handler/ha_innodb.h	2010-04-23 00:39:59 +0000
@@ -187,6 +187,8 @@
 	UNIV_INTERN bool primary_key_is_clustered();
 	UNIV_INTERN int cmp_ref(const unsigned char *ref1, const unsigned char *ref2);
 	/** Fast index creation (smart ALTER TABLE) @see handler0alter.cc @{ */
+        // Don't use these, I have just left them in here as reference for
+        // the future. -Brian
 	UNIV_INTERN int add_index(TABLE *table_arg, KEY *key_info, uint num_of_keys);
 	UNIV_INTERN int prepare_drop_index(TABLE *table_arg, uint *key_num,
                                            uint num_of_keys);

